% Funkcja tworzy macierz jednostkowa podanego przez uzytkownika wymiaru

function[I]=jednostkowa(n)
for i=1:n                   % petla dla wierszy od 1 do n
    for j=1:n               % w kazdym wierszu petla dla kolumn od 1 do n
        if i==j             % jesli nr wiersza(i) rwna sie nr kolumny(j) 
            I(i,j)=1;       % wstaw w tym miejscu [element (i,j) macierzy] "1"
        else                % w przeciwnym wypadku [nr wiersza(i) nie rwna sie nr kolumny (j)]
            I(i,j)=0;       % wstaw w tym miejscu [element (i,j) macierzy] "0"
        end                 % zakonczenie petli "if"
    end                     % zakonczenie petli dla kolumn "for j=1:n"
end                         % zakonczenie petli dla wierszy "for i=1:n" 

% "end" dotycza konkretnych PETLI, a NIE skladni samej FUNKCJI, ktra wyglada nastepujaco
%       function(wartosci_funkcji)=nazwa_funkcji(argument1,argument2, ... , argumentN)
%       ciag intrukcji

% NAZWA FUNKCJI (ta ze skladni) i NAZWA PLIKU M-FILE M U S Z A  BYC TAKIE S A M E !!
% np. "function[I]=jednostkowa(n)" --> zapisane jako "jednostkowa.m" 
% ( w nazwie pliku m-file nie podajemy argumentu "n", tylko SAMA NAZWE FUNKCJI !! )

% uruchamianie w Command Window
% np. jednostkowa(5) 
% spowoduje wygenerowanie macierzy kwadratowej o wymiarze 5x5 z "jedynkami" na glownej przekatnej

% FUNCKJA  ZAWSZE WYMAGA PODANIA ARGUMENTU!!!!
% w tym przypadku mamy jeden agrgument "n"- wymiar macierzy
% bez podania KONKRETNEGO ARGUMENTU pojawi sie na ekranie blad, ze argument nie zostal zdefiniowany
% analogiczna sytuacja dotyczy KAZDEJ FUNKCJI, np. funkcji sin(x)
% ile wynosi sin(x) ???? NIKT NIE WIE!!!! dopki nie podamy KONKRETNEJ WARTOSCI, np.
% sin(pi/2)
% ans= 1

%KZ